#!/usr/bin/env python
#
# Copyright (C) 2004 Carl Johan Lejdfors
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Please send all bugreports to: Carl Johan Lejdfors <calle.lejdfors@cs.lth.se>
#


from distutils.core import setup,Extension
import os

if os.name == 'nt':
    print "Windows not supported yet!"
    assert false
else:
    data_files = [('lib/python2.3/site-packages', ['dynamic/_RenderTexture.so'])]


setup(name="RenderTexture",
      version="0.1.5",
      description="Python interface to the RenderTexture-class by Mark J. Harris et al",
      author="Calle Lejdfors (interface part + some small additions), Mark J. Harris et al",
      author_email="calle.lejdfors@cs.lth.se",
      url="http://graphics.cs.lth.se/pyfx",
      license="GPL-2",
      packages=[''],
      data_files = data_files
      )
